Subject: Re: [lojban] Re: Dictionary software--Unicode, please

From: Arnt Richard Johansen <[email-masked]>
Date: Sat, 27 Jul 2002 16:43:05 +0200 (MEST)

On Fri, 26 Jul 2002, Jordan DeLong wrote:

> Various allowed IPA spellings should be able to be generated from
> the lojban spelling, correct? People adding words shouldn't need
> to enter that i'd imagine.

I think it is unnecessary to print IPA descriptions after each and every
entry in the dictionary. But it might be a good idea to clarify with IPA
in cases where some more obscure pronunciation rules take effect. For
example, should the hypothetical name "kuias." be pronounced [kwI.As] or
[kujas]? If "kuias." were really a name, people should be able to look it
up in a dictionary instead of working through the necessary chapters of
CLL.

Another case is that a good dictionary should have an appendix (a
prependix?) which give most or all pronunciation rules.

-- 
mu'o mi'e tsali